# behat.yml
default:
  autoload:
    '': '%paths.base%/behavior_test/bootstrap'
  suites:
    default:
      paths: [ '%paths.base%/behavior_test/features/' ]
      contexts:
        - FeatureContext:
            kernel: '@kernel'
        - SystemContext:
            kernel: '@kernel'
        - FixtureContext:
            doctrine: '@doctrine'
            loader: '@fidry_alice_data_fixtures.doctrine.loader'
            fixturesBasePath: '%paths.base%/behavior_test/fixtures/'
  extensions:
    Behat\Symfony2Extension:
      kernel:
        bootstrap: behavior_test/bootstrap/bootstrap.php
        class: App\Kernel
    Behat\MinkExtension:
      base_url: "http://localhost:8080"
      sessions:
        default:
          symfony2: ~
      browser_name: 'chrome'
      selenium2:
        wd_host: http://33.33.33.1:4444/wd/hub
        browser: firefox
        capabilities: { "platform": "MAC", "browser": "firefox", "version": "" }

#    DVDoug\Behat\CodeCoverage\Extension:
#      drivers:
#        - local
#      filter:
#        whitelist:
#          include:
#            directories:
#              'src': ~
#          exclude:
#            directories:
#              'src/Migrations': ~
#
#      report:
#        format:   html
#        options:
#          target: test-coverage